"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * {@docCategory Persona}
 */
var PersonaSize;
(function (PersonaSize) {
    /**
     * `tiny` size has been deprecated in favor of standardized numeric sizing. Use `size8` instead.
     * @deprecated Use `size8` instead.
     */
    PersonaSize[PersonaSize["tiny"] = 0] = "tiny";
    /**
     *
     * `extraExtraSmall` size has been deprecated in favor of standardized numeric sizing. Use `size24` instead.
     * @deprecated Use `size24` instead.
     */
    PersonaSize[PersonaSize["extraExtraSmall"] = 1] = "extraExtraSmall";
    /**
     * `extraSmall` size has been deprecated in favor of standardized numeric sizing. Use `size32` instead.
     * @deprecated Use `size32` instead.
     */
    PersonaSize[PersonaSize["extraSmall"] = 2] = "extraSmall";
    /**
     * `small` size has been deprecated in favor of standardized numeric sizing. Use `size40` instead.
     * @deprecated Use `size40` instead.
     */
    PersonaSize[PersonaSize["small"] = 3] = "small";
    /**
     * `regular` size has been deprecated in favor of standardized numeric sizing. Use `size48` instead.
     * @deprecated Use `size48` instead.
     */
    PersonaSize[PersonaSize["regular"] = 4] = "regular";
    /**
     * `large` size has been deprecated in favor of standardized numeric sizing. Use `size72` instead.
     * @deprecated Use `size72` instead.
     */
    PersonaSize[PersonaSize["large"] = 5] = "large";
    /**
     * `extraLarge` size has been deprecated in favor of standardized numeric sizing. Use `size100` instead.
     * @deprecated Use `size100` instead.
     */
    PersonaSize[PersonaSize["extraLarge"] = 6] = "extraLarge";
    /**
     * No `PersonaCoin` is rendered.
     */
    PersonaSize[PersonaSize["size8"] = 17] = "size8";
    /**
     * No `PersonaCoin` is rendered. Deprecated in favor of `size8` to align with design specifications.
     * @deprecated Use `size8` instead. Will be removed in a future major release.
     */
    PersonaSize[PersonaSize["size10"] = 9] = "size10";
    /**
     * Renders a 16px `PersonaCoin`. Deprecated due to not being in the design specification.
     * @deprecated Will be removed in a future major release.
     */
    PersonaSize[PersonaSize["size16"] = 8] = "size16";
    /**
     * Renders a 24px `PersonaCoin`.
     */
    PersonaSize[PersonaSize["size24"] = 10] = "size24";
    /**
     * Renders a 28px `PersonaCoin`. Deprecated due to not being in the design specification.
     * @deprecated Will be removed in a future major release.
     */
    PersonaSize[PersonaSize["size28"] = 7] = "size28";
    /**
     * Renders a 32px `PersonaCoin`.
     */
    PersonaSize[PersonaSize["size32"] = 11] = "size32";
    /**
     * Renders a 40px `PersonaCoin`.
     */
    PersonaSize[PersonaSize["size40"] = 12] = "size40";
    /**
     * Renders a 48px `PersonaCoin`.
     */
    PersonaSize[PersonaSize["size48"] = 13] = "size48";
    /**
     * Renders a 56px `PersonaCoin`.
     */
    PersonaSize[PersonaSize["size56"] = 16] = "size56";
    /**
     * Renders a 72px `PersonaCoin`.
     */
    PersonaSize[PersonaSize["size72"] = 14] = "size72";
    /**
     * Renders a 100px `PersonaCoin`.
     */
    PersonaSize[PersonaSize["size100"] = 15] = "size100";
})(PersonaSize = exports.PersonaSize || (exports.PersonaSize = {}));
/**
 * {@docCategory Persona}
 */
var PersonaPresence;
(function (PersonaPresence) {
    PersonaPresence[PersonaPresence["none"] = 0] = "none";
    PersonaPresence[PersonaPresence["offline"] = 1] = "offline";
    PersonaPresence[PersonaPresence["online"] = 2] = "online";
    PersonaPresence[PersonaPresence["away"] = 3] = "away";
    PersonaPresence[PersonaPresence["dnd"] = 4] = "dnd";
    PersonaPresence[PersonaPresence["blocked"] = 5] = "blocked";
    PersonaPresence[PersonaPresence["busy"] = 6] = "busy";
})(PersonaPresence = exports.PersonaPresence || (exports.PersonaPresence = {}));
/**
 * {@docCategory Persona}
 */
var PersonaInitialsColor;
(function (PersonaInitialsColor) {
    // Old color names
    /**
     * @deprecated Use lightBlue30 instead
     */
    PersonaInitialsColor[PersonaInitialsColor["lightBlue"] = 0] = "lightBlue";
    /**
     * @deprecated Use blue20 instead
     */
    PersonaInitialsColor[PersonaInitialsColor["blue"] = 1] = "blue";
    /**
     * @deprecated Use darkBlue10 instead
     */
    PersonaInitialsColor[PersonaInitialsColor["darkBlue"] = 2] = "darkBlue";
    /**
     * @deprecated Use teal10 instead
     */
    PersonaInitialsColor[PersonaInitialsColor["teal"] = 3] = "teal";
    /**
     * @deprecated Use green10 instead
     */
    PersonaInitialsColor[PersonaInitialsColor["lightGreen"] = 4] = "lightGreen";
    /**
     * @deprecated Use green10 instead
     */
    PersonaInitialsColor[PersonaInitialsColor["green"] = 5] = "green";
    /**
     * @deprecated Use darkGreen20 instead
     */
    PersonaInitialsColor[PersonaInitialsColor["darkGreen"] = 6] = "darkGreen";
    /**
     * @deprecated Use lightPink10 instead
     */
    PersonaInitialsColor[PersonaInitialsColor["lightPink"] = 7] = "lightPink";
    /**
     * @deprecated Use pink10 instead
     */
    PersonaInitialsColor[PersonaInitialsColor["pink"] = 8] = "pink";
    /**
     * @deprecated Use magenta10 instead
     */
    PersonaInitialsColor[PersonaInitialsColor["magenta"] = 9] = "magenta";
    /**
     * @deprecated Use purple10 instead
     */
    PersonaInitialsColor[PersonaInitialsColor["purple"] = 10] = "purple";
    /**
     * Black is a color that can result in offensive persona coins with some initials combinations, so it can only be set with overrides
     * @deprecated Use gray40 instead
     */
    PersonaInitialsColor[PersonaInitialsColor["black"] = 11] = "black";
    /**
     * @deprecated Use orange10 instead
     */
    PersonaInitialsColor[PersonaInitialsColor["orange"] = 12] = "orange";
    /**
     * Red is a color that often has a special meaning, so it is considered a reserved color and can only be set with overrides
     * @deprecated Use red10 instead
     */
    PersonaInitialsColor[PersonaInitialsColor["red"] = 13] = "red";
    /**
     * @deprecated Use darkRed20 instead
     */
    PersonaInitialsColor[PersonaInitialsColor["darkRed"] = 14] = "darkRed";
    /**
     * Transparent is not intended to be used with typical initials due to accessibility issues.
     * Its primary use is for overflow buttons, so it is considered a reserved color and can only be set with overrides.
     */
    PersonaInitialsColor[PersonaInitialsColor["transparent"] = 15] = "transparent";
    /**
     * @deprecated Use violet10 instead
     */
    PersonaInitialsColor[PersonaInitialsColor["violet"] = 16] = "violet";
    // New color names
    PersonaInitialsColor[PersonaInitialsColor["green10"] = 25] = "green10";
    PersonaInitialsColor[PersonaInitialsColor["darkGreen20"] = 26] = "darkGreen20";
    PersonaInitialsColor[PersonaInitialsColor["teal10"] = 27] = "teal10";
    PersonaInitialsColor[PersonaInitialsColor["cyan30"] = 28] = "cyan30";
    PersonaInitialsColor[PersonaInitialsColor["lightBlue30"] = 29] = "lightBlue30";
    PersonaInitialsColor[PersonaInitialsColor["blue20"] = 30] = "blue20";
    PersonaInitialsColor[PersonaInitialsColor["darkBlue10"] = 31] = "darkBlue10";
    PersonaInitialsColor[PersonaInitialsColor["violet10"] = 32] = "violet10";
    PersonaInitialsColor[PersonaInitialsColor["purple10"] = 33] = "purple10";
    PersonaInitialsColor[PersonaInitialsColor["magenta10"] = 34] = "magenta10";
    PersonaInitialsColor[PersonaInitialsColor["lightPink10"] = 35] = "lightPink10";
    PersonaInitialsColor[PersonaInitialsColor["pink10"] = 36] = "pink10";
    PersonaInitialsColor[PersonaInitialsColor["pinkRed10"] = 37] = "pinkRed10";
    PersonaInitialsColor[PersonaInitialsColor["red10"] = 38] = "red10";
    PersonaInitialsColor[PersonaInitialsColor["darkRed20"] = 39] = "darkRed20";
    PersonaInitialsColor[PersonaInitialsColor["orange10"] = 40] = "orange10";
    PersonaInitialsColor[PersonaInitialsColor["orange30"] = 41] = "orange30";
    PersonaInitialsColor[PersonaInitialsColor["orangeYellow20"] = 42] = "orangeYellow20";
    PersonaInitialsColor[PersonaInitialsColor["gray30"] = 43] = "gray30";
    PersonaInitialsColor[PersonaInitialsColor["gray40"] = 44] = "gray40";
    PersonaInitialsColor[PersonaInitialsColor["gray20"] = 45] = "gray20";
})(PersonaInitialsColor = exports.PersonaInitialsColor || (exports.PersonaInitialsColor = {}));
//# sourceMappingURL=Persona.types.js.map